%define upstream_name       Devel-CheckOS
%define upstream_version 1.96

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Check what OS we're running on
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.280.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%description
A learned sage once wrote on IRC:

   $^O is stupid and ugly, it wears its pants as a hat

Devel::CheckOS provides a more friendly interface to $^O, and also lets you
check for various OS "families" such as "Unix", which includes things like
Linux, Solaris, AIX etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO
%{_bindir}/use-devel-assertos
%{_mandir}/man1/use-devel-assertos.1*
%{_mandir}/man3/*
%{perl_vendorlib}/Devel

%changelog
* Tue Feb 07 2023 tv <tv> 1.960.0-1.mga9
+ Revision: 1938999
- update to 1.96

* Mon Oct 31 2022 tv <tv> 1.950.0-1.mga9
+ Revision: 1900658
- update to 1.95

* Tue Jul 26 2022 tv <tv> 1.940.0-1.mga9
+ Revision: 1872024
- update to 1.94

* Thu Apr 28 2022 tv <tv> 1.930.0-1.mga9
+ Revision: 1854830
- update to 1.93

* Tue Apr 26 2022 tv <tv> 1.920.0-1.mga9
+ Revision: 1853822
- update to 1.92

* Fri Apr 22 2022 tv <tv> 1.910.0-1.mga9
+ Revision: 1852662
- update to 1.91

* Mon Mar 21 2022 umeabot <umeabot> 1.870.0-2.mga9
+ Revision: 1814547
- Mageia 9 Mass Rebuild

* Thu May 27 2021 tv <tv> 1.870.0-1.mga9
+ Revision: 1728588
- update to 1.87

* Tue May 25 2021 tv <tv> 1.860.0-1.mga9
+ Revision: 1728027
- update to 1.86

* Fri Oct 16 2020 tv <tv> 1.850.0-1.mga8
+ Revision: 1636320
- update to 1.85

* Tue Oct 06 2020 tv <tv> 1.840.0-1.mga8
+ Revision: 1632364
- update to 1.84

* Sun Feb 16 2020 tv <tv> 1.830.0-1.mga8
+ Revision: 1530153
- update to 1.83

* Wed Feb 12 2020 umeabot <umeabot> 1.810.0-3.mga8
+ Revision: 1503835
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.810.0-2.mga7
+ Revision: 1282759
- Mageia 7 Mass Rebuild

* Wed Jan 24 2018 tv <tv> 1.810.0-1.mga7
+ Revision: 1196776
- update to 1.81

* Sat Jul 22 2017 shlomif <shlomif> 1.800.0-1.mga7
+ Revision: 1128484
- update to 1.80

* Sun Jun 19 2016 pterjan <pterjan> 1.760.0-3.mga6
+ Revision: 1025496
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.760.0-2.mga6
+ Revision: 967404
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.760.0-1.mga6
+ Revision: 848827
- update to 1.76

* Wed Oct 15 2014 umeabot <umeabot> 1.730.0-3.mga5
+ Revision: 740205
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.730.0-2.mga5
+ Revision: 684307
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 1.730.0-1.mga5
+ Revision: 659363
- update to 1.73

* Tue May 06 2014 jquelin <jquelin> 1.720.0-1.mga5
+ Revision: 620547
- update to 1.72

* Sat Oct 19 2013 umeabot <umeabot> 1.710.0-2.mga4
+ Revision: 526859
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.710.0-1.mga4
+ Revision: 439011
- update to 1.71

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 365695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.700.0-1.mga3
+ Revision: 342052
- update to 1.7

* Wed Jun 15 2011 jquelin <jquelin> 1.640.0-1.mga2
+ Revision: 106799
- update to 1.64

* Mon Jan 24 2011 jquelin <jquelin> 1.630.0-1.mga1
+ Revision: 37040
- mageia rebuild
- imported package perl-Devel-CheckOS

